Package oracle.dbtools.plugin.api.security

## Interface PrivilegeSet.Builder

- Enclosing interface:
    PrivilegeSet

      public static interface PrivilegeSet.Builder

  Builds `PrivilegeSet` instances
  Author:
    cdivilly

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PrivilegeSet.Builder` | `add​(java.lang.String name, java.lang.Iterable<java.lang.String> roles)` | Create and add a `Privilege` with the specified name and roles.
    `PrivilegeSet.Builder` | `add​(java.lang.String name, java.lang.String... roles)` | Create and add a `Privilege` with the specified name and roles
    `PrivilegeSet.Builder` | `add​(Privilege privilege)` | Add `Privilege` to this set
    `PrivilegeSet` | `build()` | Build `PrivilegeSet` instance
    `PrivilegeSet.Builder` | `clear()` | Remove all `Privilege`s from this set
    `PrivilegeSet.Builder` | `remove​(java.lang.String name)` | Remove the named `Privilege` from this `PrivilegeSet`

- - ### Method Detail

    - #### build

          PrivilegeSet build()

      Build `PrivilegeSet` instance
      Returns:
        `PrivilegeSet` instance

    - #### add

          PrivilegeSet.Builder add​(Privilege privilege)

      Add `Privilege` to this set
      Parameters:
        `privilege` - The `Privilege` instance to add
      Returns:
        self

    - #### add

          PrivilegeSet.Builder add​(java.lang.String name,
                                   java.lang.String... roles)

      Create and add a `Privilege` with the specified name and roles
      Parameters:
        `name` - The `Privilege.name()` property
        `roles` - The `Privilege.roles()` property
      Returns:
        self

    - #### add

          PrivilegeSet.Builder add​(java.lang.String name,
                                   java.lang.Iterable<java.lang.String> roles)

      Create and add a `Privilege` with the specified name and roles.
      Parameters:
        `name` - The `Privilege.name()` property
        `roles` - The `Privilege.roles()` property
      Returns:
        self

    - #### remove

          PrivilegeSet.Builder remove​(java.lang.String name)

      Remove the named `Privilege` from this `PrivilegeSet`
      Parameters:
        `name` - The name of the privilege
      Returns:
        self

    - #### clear

          PrivilegeSet.Builder clear()

      Remove all `Privilege`s from this set
      Returns:
        self